/*
mdl.l - Population Model
Release 1.0.0
Copyright (C) 2001-2004  dondalah@ripco.com (Dondalah)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:

	Free Software Foundation, Inc.
	59 Temple Place - Suite 330
	Boston, MA  02111-1307, USA.
*/

/*
Usage:
    	see makefile for compile instructions
*/

%{

#define YYSTYPE char *
#include <stdio.h>
#include "mdl.tab.h"

%}

D	[0-9]

%%

max_age		{ return(MAXAGE); }

max_years		{ return(MAXYRS); }

starting_pop		{ return(STARTPOP); }

first_cb_age		{ return(FRSTCBAGE); }

last_cb_age		{ return(LASTCBAGE); }

children	{ return(CHILDREN); }

min_attrition	{ return(MINATTR); }

max_attrition	{ return(MAXATTR); }

cb_attrition	{ return(CBATTR); }

old_age_attrition	{ return(OLDAGEATTR); }

{D}+		{
		yylval = yytext;
		return(NUM);
		}

{D}+"."{D}*	{
		yylval = yytext;
		/* fprintf(stderr,"posfloat <<%s>>\n", */
			/* yytext); */
		return(POSFLOAT);
		}

=		{ return('='); }

end		{ return(0); }

\#(.)*\n	{ /* comment */ }

[ \t\n.]	{ /* nothing */ }

%%
